Public partners
Get all active shops
Retrieve all active shops with their partners for map display
GET
/{locale}/site/shopsRetrieve all active shops with their partners for map display
Authorization
bearerAuth AuthorizationBearer <token>
Enter JWT token in the format: Bearer {token}
In: header
Path Parameters
locale*string
Locale code
Query Parameters
bounds?string
Map bounds for filtering (lat_min,lng_min,lat_max,lng_max)
partner_id?integer
Filter by partner ID
city?string
Filter by city
Response Body
application/json
curl -X GET "https://example.com/lt/site/shops"{ "success": true, "data": [ { "id": 1, "name": "MaxiMa Vilniaus g.", "address": "Vilniaus g. 1, Vilnius", "city": "Vilnius", "latitude": 54.6872, "longitude": 25.2797, "partner": { "id": 1, "name": "MaxiMa", "logo_url": "https://cdn.loyalty.lt/partners/maxima.png", "category": "retail" } } ]}